[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSetsid

Create a new session.

## Declaration

Source position: bunxh.inc line 56

`function FpSetsid: TPid;`

## Description

FpSetsid creates a new session (process group). It returns the new process group id (as returned by FpGetpgrp. This call will fail if the current process is already the process group leader.

## Errors

On error, -1 is returned. Extended error information can be retrieved with fpGetErrNo

Documentation generated on: Feb 26 2014